package com.zjrs.zwnw.jbxxgl.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "v_s_sg_area")
public class VSSgAreaPO {
    @TableField(value = "id")
    String id;
    @TableField(value = "area_name")
    String areaname;
    @TableField(value = "area_code")
    String areacode;
    @TableField(value = "short_name")
    String shortname;
    @TableField(value = "area_type")
    String areatype;
    @TableField(value = "parent_id")
    String parentid;
    @TableField(value = "is_valid")
    String isvalid;
    @TableField(value = "level_code")
    String levelcode;
    @TableField(value = "order_number")
    Long ordernumber;
    @TableField(value = "created_by")
    String createdby;
    @TableField(value = "modified_by")
    String modifiedby;
    @TableField(value = "created_date")
    Long createddate;
    @TableField(value = "modified_date")
    Long modifieddate;
    @TableField(value = "isleaf")
    Long isleaf;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAreaname() {
        return areaname;
    }

    public void setAreaname(String areaname) {
        this.areaname = areaname;
    }

    public String getAreacode() {
        return areacode;
    }

    public void setAreacode(String areacode) {
        this.areacode = areacode;
    }

    public String getShortname() {
        return shortname;
    }

    public void setShortname(String shortname) {
        this.shortname = shortname;
    }

    public String getAreatype() {
        return areatype;
    }

    public void setAreatype(String areatype) {
        this.areatype = areatype;
    }

    public String getParentid() {
        return parentid;
    }

    public void setParentid(String parentid) {
        this.parentid = parentid;
    }

    public String getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(String isvalid) {
        this.isvalid = isvalid;
    }

    public String getLevelcode() {
        return levelcode;
    }

    public void setLevelcode(String levelcode) {
        this.levelcode = levelcode;
    }

    public Long getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(Long ordernumber) {
        this.ordernumber = ordernumber;
    }

    public String getCreatedby() {
        return createdby;
    }

    public void setCreatedby(String createdby) {
        this.createdby = createdby;
    }

    public String getModifiedby() {
        return modifiedby;
    }

    public void setModifiedby(String modifiedby) {
        this.modifiedby = modifiedby;
    }

    public Long getCreateddate() {
        return createddate;
    }

    public void setCreateddate(Long createddate) {
        this.createddate = createddate;
    }

    public Long getModifieddate() {
        return modifieddate;
    }

    public void setModifieddate(Long modifieddate) {
        this.modifieddate = modifieddate;
    }

    public Long getIsleaf() {
        return isleaf;
    }

    public void setIsleaf(Long isleaf) {
        this.isleaf = isleaf;
    }
}
